curl --request PATCH \
--url https://api.chainstack.com/v2/nodes/{node_id}/access-rules/{id}/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"status": "activated"
}
'
{
"id": "NAR-123-456-789",
"node_id": "ND-123-456-789",
"type": "ip",
"value": "203.0.113.10",
"status": "activated",
"created_at": "2026-10-01T09:30:00.000000Z",
"updated_at": "2026-10-01T09:45:00.000000Z"
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Node access rules v2
Update a node access rule with the Chainstack Platform API v2
Change the value of a node access rule, or activate or deactivate the rule, using the Chainstack Platform API v2. Send a PATCH request to /v2/nodes//access-rules//.
PATCH
/
v2
/
nodes
/
{node_id}
/
access-rules
/
{id}
/
curl --request PATCH \
--url https://api.chainstack.com/v2/nodes/{node_id}/access-rules/{id}/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"status": "activated"
}
'
{
"id": "NAR-123-456-789",
"node_id": "ND-123-456-789",
"type": "ip",
"value": "203.0.113.10",
"status": "activated",
"created_at": "2026-10-01T09:30:00.000000Z",
"updated_at": "2026-10-01T09:45:00.000000Z"
}{
"error": {
"code": "<string>",
"message": "<string>",
"fields": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Authorizations
Chainstack API uses API keys to authenticate requests. You can view and manage your API keys in the platform UI.
Your API keys carry many privileges, so be sure to keep them secure!
Provide your API key as the Authorization header. The value of the header consists of Bearer prefix and secret key generated through the platform UI.
curl -X GET 'https://api.chainstack.com/v1/organization/' \ --header 'Authorization: Bearer FX7CWlLg.FMpAO8cgCX2N7s41EncRru2nb5CmTZUt'
All API requests must be made over HTTPS.
Path Parameters
Body
application/json
The new value, in the format the rule's type requires — see value in Create node access rule.
Response
Last modified on October 5, 2026
Was this page helpful?